###### Predefinitions #####
%define name		corsixth
%define oname		CorsixTH
%define version		0.8
%define beta		Beta8
%define rel		2

##### Header #####
Summary:	Open source clone of Theme Hospital
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
Source0:	http://corsix-th.googlecode.com/files/%{oname}-%{beta}-Source.tar.gz
Source2:	%{oname}-16.png
Source3:	%{oname}-32.png
Source4:	%{oname}-64.png
License:	MIT
Group:		Games/Strategy
URL:		http://code.google.com/p/corsix-th/

BuildRequires:	cmake 
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	lua-devel

##### Description #####
%description
This project aims to reimplement the game engine of Theme Hospital, and 
be able to load the original game data files. This means that you will 
need a purchased copy of Theme Hospital in order to use CorsixTH. 

Put those files found in directory which contains a file called HOSPITAL.EXE, 
sub-directories called DATA, LEVELS, and QDATA, and so on under 
'/usr/share/games/CorsixTH/th-files' directory. 

After most of the original engine has been reimplemented in open source code, 
the project will serve as a base from which extensions to the original game 
can be made just like OpenTTD. 

!! Please, please be aware that this is BETA release so many features are 
still missing or work in progress. Game configuration can be adjusted by 
changing values in /usr/share/games/CorsixTH/config.txt file !! 

##### setup, build, install #####
%prep
%setup -q -c

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
cd %{oname}
%cmake .. -DCMAKE_INSTALL_PREFIX=%{_gamesdatadir}/
%make

%install
cd %{oname}/build
make install DESTDIR=%{buildroot}/

mkdir %{buildroot}/%{_gamesbindir}
cat > %{buildroot}/%{_gamesbindir}/%{oname} << EOF
#!/bin/bash
%{_gamesdatadir}/%{oname}/%{oname}
EOF

mkdir %{buildroot}/%{_gamesdatadir}/%{oname}/th-files/

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,64x64,scalable}/apps
install -m 644 %{SOURCE2} %buildroot%_iconsdir/hicolor/16x16/apps/%{oname}.png
install -m 644 %{SOURCE3} %buildroot%_iconsdir/hicolor/32x32/apps/%{oname}.png
install -m 644 %{SOURCE4} %buildroot%_iconsdir/hicolor/64x64/apps/%{oname}.png

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=CorsixTH
Comment=Open source clone of Theme Hospital game
Exec=%{_gamesbindir}/%{oname}
Path=%{_gamesdatadir}/%{oname}
Icon=%{oname}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

##### Files #####
%files
%attr(755, root, root) %{_gamesbindir}/%{oname}
%dir %{_gamesdatadir}/%{oname}
%{_gamesdatadir}/%{oname}/*
%doc %{_gamesdatadir}/%{oname}/LICENSE.txt
%{_iconsdir}/hicolor/*/apps/%{oname}.*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Fri Jan 27 2012 fwang <fwang> 0.8-2.mga2
+ Revision: 202196
- cleanup spec

* Wed Sep 28 2011 supp <supp> 0.8-1.mga2
+ Revision: 149929
- update to Beta8, fixing various bugs and adding VIP visits...

* Sun Jun 26 2011 supp <supp> 0.7-1.mga2
+ Revision: 114064
-update to b7 release

* Mon Apr 25 2011 wally <wally> 0.6-2.mga1
+ Revision: 90308
- fix desktop file name (mga#954)
- drop buildroot definition

* Sun Mar 27 2011 supp <supp> 0.6-1.mga1
+ Revision: 78013
- imported package corsixth

